Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162277 - CAN-2005-2095 squirrelmail cross site posting issue
Summary: CAN-2005-2095 squirrelmail cross site posting issue
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: squirrelmail
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard: public=20050713,impact=moderate,sourc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-01 20:57 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-22 19:52:29 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-07-01 20:57:55 UTC
+++ This bug was initially created as a clone of Bug #162275 +++

A new vulnerability has been discovered in SquirrelMail. The file
src/options_identities.php contained some very bad, legacy code: an
extract($_POST) was done, effectively allowing a malicious attacker to
change session variables and even other people's preferences.

It must be noted that for this to happen you need to trick someone into
using an external form to post the information which is not trivial.

Comment 1 Josh Bressers 2005-07-01 20:58:39 UTC
This issue also affects FC3

Comment 2 Mark J. Cox 2005-07-14 12:49:04 UTC
Now public at http://www.squirrelmail.org/security/issue/2005-07-13
removing embargo

Comment 3 Fedora Update System 2005-08-22 19:52:16 UTC
From User-Agent: XML-RPC

squirrelmail-1.4.6-0.cvs20050812.1.fc4 has been pushed for FC4, which should resolve this issue.

If these issues are still present in this version, then please re-open this bug.



Note You need to log in before you can comment on or make changes to this bug.